# Custom Domain

Configure the custom domain name as xxx.com

1. Adjust the service configuration

```
[app]
rootURL = "http://xxx.com"
```

2. NGINX configuration adjustment, gzip can be enabled
```bash
server {
    listen 80;
    server_name xxx.com;

    access_log      /Users/duminxiang/nginx/xxx.com.access.log;
    error_log       /Users/duminxiang/nginx/xxx.com.error.log;

    gzip on;
    gzip_min_length 1k;
    gzip_comp_level 1;
    gzip_types text/plain application/javascript application/x-javascript text/css application/xml text/javascript application/x-httpd-php image/jpeg image/gif image/png application/vnd.ms-fontobject font/ttf font/opentype font/x-woff image/svg+xml;
    gzip_vary on;
    gzip_disable "MSIE [1-6]\.";
    gzip_buffers 32 4k;
    
    location / {       
            proxy_pass  http://127.0.0.1:9001; 
            proxy_set_header Host $host;
            proxy_set_header X-Real-IP $remote_addr; 
            proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
            proxy_set_header REMOTE-HOST $remote_addr;
    }
}
```

